description = "管理和追踪角色关系变化"

prompt = """

# 角色关系管理

追踪和管理角色之间的关系动态，确保关系发展的合理性。

## 功能

1. **关系网络** - 维护角色之间的关系图谱
2. **关系变化** - 记录关系的演变历程
3. **派系管理** - 追踪各势力派系的对立与合作
4. **情感追踪** - 管理角色间的情感发展

## 使用方法

执行脚本 .specify/scripts/bash/manage-relations.sh [操作] [参数]：
- `update` - 更新角色关系
- `show` - 显示关系网络
- `history` - 查看关系变化历史
- `check` - 验证关系逻辑

示例：
```
.specify/scripts/bash/manage-relations.sh update 李中庸 allies 沈玉卿 --chapter 61 --note 初入翰林相助
# PowerShell:
.specify/scripts/bash/manage-relations.sh -Command update -A 李中庸 -Relation allies -B 沈玉卿 -Chapter 61 -Note 初入翰林相助
```

## 数据存储

关系数据存储在 `spec/tracking/relationships.json`：
```json
{
  "characters": {
    "主角": {
      "盟友": ["角色A", "角色B"],
      "敌对": ["角色C"],
      "爱慕": ["角色D"],
      "未知": ["角色E"]
    }
  },
  "factions": {
    "改革派": ["主角", "角色A"],
    "保守派": ["角色C", "角色F"]
  }
}
```

## 输出示例

```
👥 角色关系网络
━━━━━━━━━━━━━━━━━━━━
主角：李中庸
├─ 💕 爱慕：沈玉卿
├─ 🤝 盟友：张居正（隐藏）
├─ 📚 导师：利玛窦
├─ ⚔️ 敌对：申时行派系
└─ 👁️ 监视：东厂

派系对立：
改革派 ←→ 保守派
东林党 ←→ 阉党

最近变化（第60章）：
- 沈玉卿：陌生人 → 相互吸引
- 张居正：未知 → 师承关系
```
"""
